import { NotificationBaseService } from './notification-base.service';
import { NotificationConfig, NotificationOption } from './notification/notification-config';
export declare class AtNotificationService {
    containerbase: NotificationBaseService;
    constructor(containerbase: NotificationBaseService);
    remove(messageId: string): void;
    success(options?: NotificationOption): NotificationConfig;
    info(options?: NotificationOption): NotificationConfig;
    show(options?: NotificationOption): NotificationConfig;
    warning(options?: NotificationOption): NotificationConfig;
    error(options?: NotificationOption): NotificationConfig;
}
